local message = {
  ["enUS"] = "Autorepair",
  ["deDE"] = "Automatisch reparieren",
	['repaircostgb'] = function(r)
		if(GetLocale() == "deDE") then
			return "Reparaturkosten zu Lasten der Gildenbank "..zzLib_buildMoneyString(r,true)
		else
			return "Guildvaultrepaircost "..zzLib_buildMoneyString(r,true)
		end
	end,
	['repaircost'] = function(r)
		if(GetLocale() == "deDE") then
			return "Reparaturkosten "..zzLib_buildMoneyString(r,true)
		else
			return "Repaired for "..zzLib_buildMoneyString(r,true)
		end
	end,
	
}
local addon,mod
local guildrepair = false -- switch to true to enable guildrepair

local function MERCHANT_SHOW()
  if(CanMerchantRepair()) then
    local m = GetMoney()
    local r = GetRepairAllCost()
    local gbr = false
    if(guildrepair) then
      if(CanGuildBankRepair() == 1) then
        gbr = true
      end
    end
    if(r > 0 and (m > r or gbr)) then
      if(gbr) then
        RepairAllItems(1)
        addon:Print(message['repaircostgb'](r))
      else
        RepairAllItems()
        addon:Print(message['repaircost'](r))
      end
    end
  end
end

local function modFunc()
	addon = zzMiscHelper_Register(
		"autorepair",
		"MERCHANT_SHOW",
		MERCHANT_SHOW,
  message[GetLocale()] or message["enUS"])
	if(mod) then mod:UnregisterEvent("PLAYER_LOGIN") end
end

if(IsAddOnLoaded("AddonLoader")==1) then
	modFunc()
else
	mod = CreateFrame("Frame")
	mod:RegisterEvent("PLAYER_LOGIN")
	mod:SetScript("OnEvent", modFunc)
end